Endpoint Examples

/jobsearch

Searches stored jobs using various filters and matching criteria.

POST /searchservice/jobsearch

Headers

NameTypeDescription
acceptstring, enumGenerated from available response content types.
Allowed: application/json (default) and application/xml
content-typestring, enumGenerated from available request content types.
Allowed: application/json (default) and application/xml

Request Body

{
  "searchCriteria": {
    "keyword": {
      "searchType": "Generic",
      "keywords": [
        {
          "value": "assistant",
          "context": "JobTitle",
          "logicalOperator": "Or"
        },
        {
          "value": "clerk",
          "context": "JobTitle"
        }
      ]
    },
    "additionalFilters": {
      "maximumDocumentCount": 30
    },
    "instanceType": "spectrum",
    "locale": "en_us",
    "vendor": "jobsearchfacetdemo02"
  }
}
<JobSearchRequest xmlns="http://bgt.com/lens/model/searchservice/request">
    <SearchCriteria>
        <Keyword>
            <SearchType>Generic</SearchType>
            <Keywords>
                <Value>C#</Value>
                <Context>LastJob</Context>
                <LogicalOperator>Or</LogicalOperator>
            </Keywords>
            <CustomBooleanSearchKeyword>?</CustomBooleanSearchKeyword>
        </Keyword>
        <Geography>
            <DistanceUnits>Miles</DistanceUnits>
            <PostalCode>626123</PostalCode>
            <Distance>10</Distance>
        </Geography>
        <YearsOfExperience>
            <Min>0</Min>
            <Max>22</Max>
        </YearsOfExperience>
        <Vendor>sampledemovendor</Vendor>
        <Locale>en_us</Locale>
        <InstanceType>SPECTRUM</InstanceType>
    </SearchCriteria>
</JobSearchRequest>

Code Examples

curl --request POST \
  --url "https://lensapi.burning-glass.com/v2.0/searchservice/resumesearch" \
  --header "Authorization: <OAUTH_AUTHENTICATION_HEADER>" \
  --header "Accept: application/json" \
  --header "Content-Type: application/json" \
curl --request POST \
  --url "https://lensapi.burning-glass.com/v2.0/searchservice/resumesearch" \
  --header "Authorization: <OAUTH_AUTHENTICATION_HEADER>" \
  --header "Accept: application/xml" \
  --header "Content-Type: application/xml" \
  --data '<JobSearchRequest xmlns="http://bgt.com/lens/model/searchservice/request">
    <SearchCriteria>
        <Keyword>
            <SearchType>Generic</SearchType>
            <Keywords>
                <Value>C#</Value>
                <Context>LastJob</Context>
                <LogicalOperator>Or</LogicalOperator>
            </Keywords>
            <CustomBooleanSearchKeyword>?</CustomBooleanSearchKeyword>
        </Keyword>
        <Geography>
            <DistanceUnits>Miles</DistanceUnits>
            <PostalCode>626123</PostalCode>
            <Distance>10</Distance>
        </Geography>
        <YearsOfExperience>
            <Min>0</Min>
            <Max>22</Max>
        </YearsOfExperience>
        <Vendor>sampledemovendor</Vendor>
        <Locale>en_us</Locale>
        <InstanceType>SPECTRUM</InstanceType>
    </SearchCriteria>
</JobSearchRequest>'

Response Examples

{
  "status": true,
  "statusCode": "OK",
  "requestId": "b00d9e88-0dd1-4b5d-be04-58aadffc8b70",
  "responseData": {
    "vendorName": "jobsrus",
    "locale": "en_us",
    "instanceType": "spectrum",
    "resultsCount": 2,
    "offset": 1,
    "maxDocumentCount": 2,
    "minimumScore": 0,
    "jobs": [
      {
        "jobId": "200",
        "score": 108,
        "jobTitle": "Final Year Project",
        "employer": "Corporation",
        "skills": {
          "skill": [
            "Arcview",
            "Citrix",
            "Data Entry",
            "Data Mining",
            "English",
            "French",
            "FrontPage",
            "German",
            "Groupwise",
            "Hardware and Software Configuration"
          ]
        },
        "matchExplanation": "Education"
      },
      {
        "jobId": "201",
        "score": 108,
        "jobTitle": "Final Year Project",
        "employer": "Corporation",
        "skills": {
          "skill": [
            "Arcview",
            "Citrix",
            "Data Entry",
            "Data Mining",
            "English",
            "French",
            "FrontPage",
            "German",
            "Groupwise",
            "Hardware and Software Configuration"
          ]
        },
        "matchExplanation": "Education"
      }
    ]
  },
  "timeStamp": "2016-02-23 18:09:29.539"
}
<JobSearchResponse>
    <Status>true</Status>
    <StatusCode>OK</StatusCode>
    <RequestId>da93f258-3cf1-4326-902a-97c608a75aaf</RequestId>
    <ResponseData>
        <VendorName>jobsrus</VendorName>
        <Locale>en_us</Locale>
        <InstanceType>spectrum</InstanceType>
        <ResultsCount>2</ResultsCount>
        <Offset>1</Offset>
        <MaxDocumentCount>2</MaxDocumentCount>
        <MinimumScore>0</MinimumScore>
        <Jobs>
            <JobId>200</JobId>
            <Score>108</Score>
            <JobTitle>Final Year Project</JobTitle>
            <Employer>Corporation</Employer>
            <Skills>
                <Skill>Arcview</Skill>
                <Skill>Citrix</Skill>
                <Skill>Data Entry</Skill>
                <Skill>Data Mining</Skill>
                <Skill>English</Skill>
                <Skill>French</Skill>
                <Skill>FrontPage</Skill>
                <Skill>German</Skill>
                <Skill>Groupwise</Skill>
                <Skill>Hardware and Software Configuration</Skill>
            </Skills>
            <MatchExplanation>Education</MatchExplanation>
        </Jobs>
        <Jobs>
            <JobId>201</JobId>
            <Score>108</Score>
            <JobTitle>Final Year Project</JobTitle>
            <Employer>Corporation</Employer>
            <Skills>
                <Skill>Arcview</Skill>
                <Skill>Citrix</Skill>
                <Skill>Data Entry</Skill>
                <Skill>Data Mining</Skill>
                <Skill>English</Skill>
                <Skill>French</Skill>
                <Skill>FrontPage</Skill>
                <Skill>German</Skill>
                <Skill>Groupwise</Skill>
                <Skill>Hardware and Software Configuration</Skill>
            </Skills>
            <MatchExplanation>Education</MatchExplanation>
        </Jobs>
    </ResponseData>
    <TimeStamp>2016-02-23 18:08:01.873</TimeStamp>
</JobSearchResponse>